#
#       Makefile for bitlib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= bitlib
LIBFSRCS	= bitpic.f bitpci.f gbyte.f gbytes.f sbyte.f sbytes.f
LIBCSRCS	= iand.c ior.c ishift.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= bitpic.o bitpci.o gbyte.o gbytes.o sbyte.o sbytes.o
LIBCOBJS	= iand.o ior.o ishift.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
